Bug 1001082 - xfce4-terminal opens HTTP links in Firefox even though Chrome is default browser
xfce4-terminal opens HTTP links in Firefox even though Chrome is default browser
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-terminal (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 09:06 EDT by Tore Anderson
Modified: 2015-06-26 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:25:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 10314 None None None Never

  None (edit)
Description Tore Anderson 2013-08-26 09:06:39 EDT
Description of problem:

Summary says it all... If you right-click a http link in the terminal and select "open link", the link will open in Firefox even though Google Chrome is the default browser in Xfce.

Version-Release number of selected component (if applicable):

xfce4-terminal-0.6.2-1.fc19.x86_64

How reproducible:

100%

Steps to Reproduce:
1. See above.

Actual results:

See above.

Expected results:

See above.

Additional info:

exo-preferred-applications shows google-chrome as being the preferred web browser. Also running "exo-open http://some.link" or "xdg-open http://some.link" will correctly open the links in Chrome.

This is a regression from Fedora 18, which did everything right.
Comment 1 Kevin Fenzi 2013-08-26 10:49:41 EDT
Yeah, this is an anoying buglet in the new xfce4-terminal url handling. ;( 

Would you be willing to file it upstream at bugzilla.xfce.org ?

Or would you like me to?
Comment 2 Tore Anderson 2013-08-26 12:56:37 EDT
I don't have an XFCE bugzilla account, so if you'll be willing to do so, do feel free. If not I can look into registering there myself, maybe later tonight.

Tore
Comment 3 Tore Anderson 2013-08-26 15:05:32 EDT
https://bugzilla.xfce.org/show_bug.cgi?id=10314
Comment 4 Kevin Fenzi 2013-08-26 15:09:47 EDT
Thanks!
Comment 5 Fedora End Of Life 2015-01-09 17:16:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 06:25:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 René Genz 2015-06-26 13:18:34 EDT
this is still present in Fedora 22
xfce4-terminal-0.6.3-7.fc22.x86_64.rpm


On Fedora 22 in Xfce 'Applications -- Documentation -- Fedora Release Notes' opened in Konqueror by default. Although Firefox is set to default browser with 'Applications -- Settings -- Preferred Applications'.

Furthermore,
/usr/share/applications/fedora-release-notes.desktop
has the line
Exec=xdg-open file:///usr/share/doc/fedora-release-notes/index.html

Trying to debug this in terminal:
$ xdg-mime query filetype /usr/share/doc/fedora-release-notes/index.html
text/html
$ xdg-mime query default text/html
kde4-kfmclient_html.desktop

$ sudo updatedb ; locate kde4-kfmclient_html.desktop
# does not find the file
$ sudo find / -name "*kfmclient*"
/usr/share/applications/kde4/kfmclient.desktop
/usr/share/applications/kde4/kfmclient_dir.desktop
/usr/share/applications/kde4/kfmclient_html.desktop
/usr/share/applications/kde4/kfmclient_war.desktop
/usr/lib64/libkdeinit4_kfmclient.so
/usr/bin/kfmclient

So the file that seems to be used is not even available on the system.

Note You need to log in before you can comment on or make changes to this bug.